import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:clearmagic") {
        const player = event.source;
        let cd = getScore('fskcd', player);

        if (cd >= 5) {
            player.runCommand("function clearmagic")
        }
        else if (cd < 5) {
            player.runCommand("function endcdntfr")
        }
    }
})